AWS IoT Device SDK C++ v2: Aws::Crt::Http::HttpProxyStrategy Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Aws::Crt::Http::HttpProxyStrategy Class Reference

`#include <HttpProxyStrategy.h>`

Inheritance diagram for Aws::Crt::Http::HttpProxyStrategy:

## Public Member Functions
| HttpProxyStrategy (struct aws_http_proxy_strategy *strategy)
virtual | ~HttpProxyStrategy ()

## Static Public Member Functions
static std::shared_ptr< HttpProxyStrategy > | CreateBasicHttpProxyStrategy (const HttpProxyStrategyBasicAuthConfig &config, Allocator *allocator=g_allocator)
static std::shared_ptr< HttpProxyStrategy > | CreateAdaptiveHttpProxyStrategy (const HttpProxyStrategyAdaptiveConfig &config, Allocator *allocator=g_allocator)

## Protected Attributes
struct aws_http_proxy_strategy * | m_strategy

## Detailed Description

Wrapper class for a C-level proxy strategy - an object that allows the user to transform or modify the authentication logic when connecting to a proxy.

## Constructor & Destructor Documentation

## ◆ HttpProxyStrategy()

Aws::Crt::Http::HttpProxyStrategy::HttpProxyStrategy | ( | struct aws_http_proxy_strategy * | strategy | ) |

## ◆ ~HttpProxyStrategy()

Aws::Crt::Http::HttpProxyStrategy::~HttpProxyStrategy | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ CreateAdaptiveHttpProxyStrategy()

std::shared_ptr< HttpProxyStrategy > Aws::Crt::Http::HttpProxyStrategy::CreateAdaptiveHttpProxyStrategy | ( | const HttpProxyStrategyAdaptiveConfig & | config,
|  | Allocator * | allocator = `g_allocator`
| ) |  |
| static

Creates a proxy strategy that, depending on configuration, can attempt kerberos and/or ntlm authentication when connecting to the proxy

Parameters

  config | the adaptive strategy configuration options
  allocator | allocator to use

Returns
  a new adaptive proxy strategy

## ◆ CreateBasicHttpProxyStrategy()

std::shared_ptr< HttpProxyStrategy > Aws::Crt::Http::HttpProxyStrategy::CreateBasicHttpProxyStrategy | ( | const HttpProxyStrategyBasicAuthConfig & | config,
|  | Allocator * | allocator = `g_allocator`
| ) |  |
| static

Creates a proxy strategy that performs basic authentication

Parameters

  config | basic authentication configuration options
  allocator | allocator to use

Returns
  a new basic authentication proxy strategy

## Member Data Documentation

## ◆ m_strategy

struct aws_http_proxy_strategy* Aws::Crt::Http::HttpProxyStrategy::m_strategy
| protected

The documentation for this class was generated from the following files:

- crt/aws-crt-cpp/include/aws/crt/http/HttpProxyStrategy.h
- crt/aws-crt-cpp/source/http/HttpProxyStrategy.cpp